> ## Documentation Index
> Fetch the complete documentation index at: https://docs.capriole.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Modelle auflisten

> Gibt den aktuellen öffentlichen Modellkatalog zurück.

Verwenden Sie diesen Endpunkt, um den aktuellen öffentlichen Modellkatalog abzurufen.

Der Katalog listet zuerst die anbieterweiten Latest-Aliase und danach konkrete Modell-IDs:

* `openai-latest`
* `claude-latest`
* `google-latest`

Verwenden Sie einen Latest-Alias, wenn Capriole AI das von uns empfohlene Flaggschiff-Modell für diesen Anbieter wählen soll. Verwenden Sie eine konkrete Modell-ID, wenn Sie eine genaue Modellversion benötigen.

| Modellwahl                                        | Am besten geeignet für                                                      |
| ------------------------------------------------- | --------------------------------------------------------------------------- |
| `openai-latest`, `claude-latest`, `google-latest` | Einmal konfigurieren und Capriole AI auf dem empfohlenen Flaggschiff halten |
| Konkrete Modell-IDs wie `openai/gpt-5.6-terra`    | Eine genaue Modellversion festlegen                                         |

Latest-Aliase werden auf `POST /v1/chat` und `POST /v1/chat/completions` wie folgt aufgelöst:

| Latest-Alias    | Wird aufgelöst zu               |
| --------------- | ------------------------------- |
| `openai-latest` | `openai/gpt-5.6-terra`          |
| `claude-latest` | `anthropic/claude-fable-5`      |
| `google-latest` | `google/gemini-3.1-pro-preview` |

| Endpunkt                         | Latest-Aliase                                     |
| -------------------------------- | ------------------------------------------------- |
| `POST /v1/chat`                  | `openai-latest`, `claude-latest`, `google-latest` |
| `POST /v1/chat/completions`      | `openai-latest`, `claude-latest`, `google-latest` |
| `POST /v1/responses`             | `openai-latest`                                   |
| `POST /v1/messages`              | `claude-latest`                                   |
| `POST /v1/messages/count_tokens` | `claude-latest`                                   |

Anthropic Messages-Endpunkte akzeptieren außerdem unpräfigierte konkrete Claude Messages-IDs wie `claude-fable-5`, `claude-opus-5`, `claude-opus-4-8`, `claude-opus-4-7`, `claude-opus-4-6` und `claude-sonnet-4-6`.

Auf `POST /v1/messages` und `POST /v1/messages/count_tokens` wird `claude-latest` zu `claude-fable-5` aufgelöst und entspricht damit dem Latest-Alias von Chat und Chat Completions.

Verwenden Sie die oben gezeigten reinen Alias-IDs. Anbieterpräfixe wie `openai/openai-latest` sind clientseitige Auswahlmuster, keine Capriole AI Modell-IDs.


## OpenAPI

````yaml api-reference/openapi.json GET /v1/models
openapi: 3.1.0
info:
  title: Capriole AI API
  description: >-
    Public API for model discovery, text chat, and protocol-compatible model
    endpoints.
  version: 1.0.0
servers:
  - url: https://api.caprioletech.com
security: []
paths:
  /v1/models:
    get:
      summary: List public models
      description: Returns the current public model catalog.
      operationId: listModels
      responses:
        '200':
          description: Public model list
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListPublicModelsResponse'
              examples:
                default:
                  value:
                    data:
                      - id: openai-latest
                      - id: openai/gpt-5.6-terra
                      - id: openai/gpt-5.6-luna
                      - id: openai/gpt-5.5
                      - id: openai/gpt-5.4-mini
                      - id: claude-latest
                      - id: anthropic/claude-fable-5
                      - id: anthropic/claude-opus-5
                      - id: anthropic/claude-opus-4-8
                      - id: anthropic/claude-opus-4-7
                      - id: anthropic/claude-opus-4-6
                      - id: anthropic/claude-sonnet-4-6
                      - id: google-latest
                      - id: google/gemini-3.1-pro-preview
                      - id: google/gemini-3.5-flash
                      - id: xai/grok-4.5
                      - id: zai/glm-5.2
                      - id: moonshot/kimi-k3
        '429':
          $ref: '#/components/responses/RateLimitErrorResponse'
        '500':
          $ref: '#/components/responses/InternalServerErrorResponse'
components:
  schemas:
    ListPublicModelsResponse:
      type: object
      required:
        - data
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/PublicModelItem'
    PublicModelItem:
      type: object
      required:
        - id
      properties:
        id:
          type: string
          description: Model identifier
    DetailError:
      type: object
      required:
        - detail
      properties:
        detail:
          type: string
          description: Error detail from the API
  responses:
    RateLimitErrorResponse:
      description: Rate limit error response
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/DetailError'
          examples:
            rateLimitExceeded:
              value:
                detail: 'Rate limit exceeded: 100 per 1 minute'
    InternalServerErrorResponse:
      description: Internal server error response
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/DetailError'
          examples:
            internalServerError:
              value:
                detail: An internal server error occurred. Please try again later.

````